package ru.dbotthepony.mc.otm.datagen.blocks

import ru.dbotthepony.mc.otm.datagen.models.MatteryBlockModelProvider
import ru.dbotthepony.mc.otm.registry.MBlocks

fun addBlockModels(provider: MatteryBlockModelProvider) {
	with(provider) {
		resourceCubeAll(MBlocks.TRITANIUM_ORE)
		resourceCubeAll(MBlocks.TRITANIUM_RAW_BLOCK)
		resourceCubeAll(MBlocks.DEEPSLATE_TRITANIUM_ORE)
		resourceCubeAll(MBlocks.TRITANIUM_INGOT_BLOCK)

		coloredMachine(MBlocks.COBBLESTONE_GENERATOR, listOf("0", "particle"))
		coloredMachine(MBlocks.ESSENCE_STORAGE, listOf("0", "particle"))
		coloredMachine(MBlocks.ITEM_MONITOR, listOf("0", "particle"))
		coloredMachine(MBlocks.MATTER_RECONSTRUCTOR, listOf("0", "particle"))

		colored("matter_capacitor_bank", mapOf("1" to "mattercapacitorbank_frame", "particle" to "mattercapacitorbank_frame"))
		colored("battery_bank", mapOf("1" to "batterybank_frame", "particle" to "batterybank_frame"))

		coloredMachineCombined("plate_press", "plate_press2", listOf("idle", "error", "working"), listOf("0", "particle"))
		coloredMachineCombined("twin_plate_press", "plate_press2", listOf("idle", "error", "working"), listOf("0", "particle"))
		coloredMachineCombined("matter_recycler", "matter_recycler", listOf("idle", "error", "working"), listOf("0", "particle"))
		coloredMachineCombined("matter_scanner", "matter_scanner", listOf("idle", "error", "working"), listOf("texture", "particle"))
		coloredMachineCombined("matter_bottler", "matter_bottler", listOf("idle", "error", "working"), listOf("texture", "particle"))
		coloredMachineCombined("matter_decomposer", "matter_decomposer", listOf("idle", "error", "working"), listOf("texture", "particle"))

		colored("matter_replicator", "idle", mapOf("1" to "matter_replicator_base", "particle" to "matter_replicator_base", "texture" to "matter_replicator_offline"))
		colored("matter_replicator", "error", mapOf("1" to "matter_replicator_base", "particle" to "matter_replicator_base", "texture" to "matter_replicator_halted"))
		colored("matter_replicator", "working", mapOf("1" to "matter_replicator_base", "particle" to "matter_replicator_base", "texture" to "matter_replicator"))

		colored("powered_smoker", "idle", mapOf("0" to "powered_smoker_base", "1" to "powered_smoker_interior_0", "particle" to "powered_smoker_base"), "_idle")
		colored("powered_smoker", "error", mapOf("0" to "powered_smoker_base", "1" to "powered_smoker_interior_2", "particle" to "powered_smoker_base"), "_error")
		colored("powered_smoker", "working", mapOf("0" to "powered_smoker_base", "1" to "powered_smoker_interior_1", "particle" to "powered_smoker_base"), "_working")
	}
}
